API Reference
API Keys
Create and manage API keys for authentication.
Create an API Key
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Request Body
application/json
name*string
Length
1 <= length <= 100scopes*array<>
Items
1 <= itemsexpires_at?string
Must be in the future.
Format
date-timeResponse Body
application/json
application/json
curl -X POST "https://api.warplink.app/v1/keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scopes": [ "links:read" ] }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key_prefix": "wl_live_",
"name": "string",
"scopes": [
"string"
],
"last_used_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"raw_key": "wl_live_abc123def456"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}List API Keys
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Response Body
application/json
curl -X GET "https://api.warplink.app/v1/keys"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key_prefix": "wl_live_",
"name": "string",
"scopes": [
"string"
],
"last_used_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}Get an API Key
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://api.warplink.app/v1/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key_prefix": "wl_live_",
"name": "string",
"scopes": [
"string"
],
"last_used_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}Delete an API Key
Authorization
bearerAuth AuthorizationBearer <token>
API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
curl -X DELETE "https://api.warplink.app/v1/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}